#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

PROGRAM=../bin/$TARGET/Preprocessor.exe

echo "starting $TARGET mode"

SCENE=vsposp_typical
#SCENE=soda5
#SCENE=cube
#SCENE=atlanta
#SCENE=vienna

LOG_PREFIX=../scripts/tests/i3d/$SCENE

ENVIRONMENT=$SCENE.env


#######################################################


METHOD=sequential
echo "$SCENE $METHOD"

$PROGRAM $ENVIRONMENT \
-view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
-bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
-hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
-hierarchy_construction_start_with_osp=true

mv debug.log $LOG_PREFIX-$METHOD-debug.log
mv view_cells.wrl $LOG_PREFIX-$METHOD-view_cells.wrl
mv final_object_partition.wrl $LOG_PREFIX-$METHOD-final_object_partition.wrl
mv final_view_cells.wrl $LOG_PREFIX-$METHOD-final_view_cells.wrl